version: "3.9"

services:
  rest:
    build:
      context: ./ilp-rest-service
      dockerfile: Dockerfile
    ports:
      - "8080:8080"

  blackbox:
    build:
      context: ./drone-black-box
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    depends_on:
      - rest

  frontend:
    build:
      context: ./drone-frontend
      dockerfile: Dockerfile
    ports:
      - "4173:4173"
    depends_on:
      - rest
      - blackbox
